Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 622715 - [dup profiles] Wrong value of "System Entitlements" in DuplicateSystemsCompare.do
[dup profiles] Wrong value of "System Entitlements" in DuplicateSystemsCompar...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Partha Aji
Red Hat Satellite QA List
:
Depends On:
Blocks: space11
  Show dependency treegraph
 
Reported: 2010-08-10 04:50 EDT by Garik Khachikyan
Modified: 2015-01-04 16:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 04:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2010-08-10 04:50:29 EDT
Description of problem:
Seems that in the resulting page of the "Compare Systems" there is not correctly displayed the system entitlement info - always shows "Base" even if the system is unentitled there.

Version-Release number of selected component (if applicable):
spacewalk-backend-1.1.42-1.el5
spacewalk-java-1.1.35-1.el5
spacewalk-schema-1.1.19-1.el5
spacewalk-oracle-1.1.6-1.el5


How reproducible:
always on the duplicate profiles where in one of them the Management entitlement is changed to "none"

Steps to Reproduce:
1. make registration of the system 2 times in SW
2. for the first registration unentitle the system
3. compare the systems in the "Duplicate Systems" workflow
4. 
  
Actual results:
In the result page "/rhn/systems/DuplicateSystemsCompare.do?key=<system_ip>&key_type=ip" one could see "Base" written for the both systems in the row "System Entitlements"

Expected results:
Correctly calculated/displayed info for the system entitlements

Additional info:
Comment 3 Partha Aji 2010-08-12 10:28:34 EDT
Moving to on qa
Comment 4 Garik Khachikyan 2010-08-16 11:03:14 EDT
# VERIFIED

Got my issue fixed for:
---
spacewalk-java-oracle-1.2.3-1.el5sat
spacewalk-java-lib-1.2.3-1.el5sat
spacewalk-java-config-1.2.3-1.el5sat
spacewalk-java-1.2.3-1.el5sat
spacewalk-taskomatic-1.2.3-1.el5sat
---

there is displaying "None" now for the system that is unentitled.
Comment 5 Milan Zázrivec 2010-08-19 04:25:19 EDT
Spacewalk 1.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.